# Class SwitchPhase

#### Hierarchy (view full)

- BattlePhase
  - SwitchPhase

- Defined in src/phases.ts:4277

#####
Index

### Constructors

constructor

### Properties

doReturn
fieldIndex
isModal
scene

### Methods

end
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new SwitchPhase(scene, fieldIndex, isModal, doReturn): SwitchPhase

- #### Parameters

  - scene: default
  - fieldIndex: number
  - isModal: boolean
  - doReturn: boolean

  #### Returns SwitchPhase

  Overrides BattlePhase.constructor

  - Defined in src/phases.ts:4282

## Properties

### `Private` doReturn

doReturn: boolean

- Defined in src/phases.ts:4280

### `Protected` fieldIndex

fieldIndex: number

- Defined in src/phases.ts:4278

### `Private` isModal

isModal: boolean

- Defined in src/phases.ts:4279

### `Protected` scene

scene: default

Inherited from BattlePhase.scene

- Defined in src/phase.ts:4

## Methods

### end

- end(): void

- #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:17

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases.ts:4290